#include "KinematicsWebAPI.h"

json KinematicsWebAPI::handleSpcCommand(const std::string &req_cmd, const json &req_param)
{
    try
    {
        log("Handling " + req_cmd + " command");
        return SpcCalculator::Spc(req_param);
    }
    catch (const std::exception &e)
    {
        return {{"error", "Failed to Cmd_Spc: " + std::string(e.what())}};
    }
}
